Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002375graphvizDotpublic2013-09-27 17:302013-10-16 13:03
Reporterbruce.dandrea 
Assigned Toerg 
PrioritynormalSeverityimportantReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindows PCOSWindows 7OS VersionSPI ver 13.6
Summary0002375: Calling dot function from a perl script does not work in Graphviz 2.32.0
DescriptionI'm using the command line interface to generate *.svg files from *.dot files via a perl script. The script worked fine using Graphviz 2.26.3, however the same script does not work using Graphviz 2.32.0 or 2.34.0. Note, I made sure that the System Environment Variable PATH was correct after installing the different versions of Graphviz

Below is the command line call issued and the results from Graphviz 2.26.3, Graphviz 2.32.0 and Graphviz 2.34.0:

Note: Both Graphviz 2.32.0 and Graphviz 2.34.0 got hung up after the "network simplex: 66 nodes 577 edges maxiter=2147483647 balance=2" line and would not proceed any further.

--------------------------------------------------------------------------
Graphviz 2.26.3 results

c:\data\cygwin_working\perl_scripts\IC2>dot -v -Tsvg "C:\data\cygwin_working\perl_scripts\IC2\output\dot_files\RTS001_Boot - Launch (Part 1)_time_ordered_command.dot" -o "C:\data\cygwin_working\perl_scripts\IC2\output\diagrams\RTS_time_ordered_diagrams\RTS001_Boot - Launch (Part 1)_time_ordered_command.svg"
dot - graphviz version 2.26.3 (20100126.1600)
Activated plugin library: gvplugin_pango.dll
Using textlayout: textlayout:cairo
Activated plugin library: gvplugin_dot_layout.dll
Using layout: dot:dot_layout
Activated plugin library: gvplugin_core.dll
Using render: svg:core
Using device: svg:svg:core
The plugin configuration file:
        C:\Program Files (x86)\Graphviz2.26.3\bin\config6
                was successfully loaded.
    render : cairo dot fig gd gdiplus map ps svg tk vml vrml xdot
    layout : circo dot fdp neato nop nop1 nop2 osage patchwork sfdp twopi
    textlayout : textlayout
    device : bmp canon cmap cmapx cmapx_np dot emf emfplus eps fig gd gd2 gif gv imap imap_np ismap jpe jpeg jpg metafile pdf plain plain-ext png ps ps2 svg svgz tif tiff tk vml vmlz vrml wbmp xdot
    loadimage : (lib) bmp eps gd gd2 gif jpe jpeg jpg png ps svg
fontname: "Times-Roman" resolved to: (ps:pango Times New Roman) (PangoCairoWin32Font) "Times New Roman 13.9990234375"
network simplex: 66 nodes 577 edges maxiter=2147483647 balance=2
network simplex: 66 nodes 577 edges 0 iter 0.00 sec
network simplex: 10 nodes 577 edges maxiter=2147483647 balance=2
network simplex: 10 nodes 577 edges 0 iter 0.00 sec
network simplex: 1 nodes 0 edges maxiter=2147483647 balance=1
network simplex: 1 nodes 0 edges 0 iter 0.00 sec
network simplex: 1 nodes 0 edges maxiter=2147483647 balance=1
network simplex: 1 nodes 0 edges 0 iter 0.00 sec
network simplex: 1 nodes 0 edges maxiter=2147483647 balance=1
network simplex: 1 nodes 0 edges 0 iter 0.00 sec
network simplex: 1 nodes 0 edges maxiter=2147483647 balance=1
network simplex: 1 nodes 0 edges 0 iter 0.00 sec
network simplex: 1 nodes 0 edges maxiter=2147483647 balance=1
network simplex: 1 nodes 0 edges 0 iter 0.00 sec
mincross: pass 0 iter 0 trying 0 cur_cross 0 best_cross 0
mincross: pass 0 iter 0 trying 0 cur_cross 0 best_cross 0
mincross: pass 0 iter 0 trying 0 cur_cross 0 best_cross 0
mincross: pass 0 iter 0 trying 0 cur_cross 0 best_cross 0
mincross: pass 0 iter 0 trying 0 cur_cross 0 best_cross 0
mincross G: 0 crossings, 0.00 secs.
network simplex: 5 nodes 4 edges maxiter=2147483647 balance=2
network simplex: 5 nodes 4 edges 0 iter 0.00 sec
routesplines: 0 edges, 0 boxes 0.00 sec
Using render: svg:core
Using device: svg:svg:core

c:\data\cygwin_working\perl_scripts\IC2>

--------------------------------------------------------------------------
Graphviz 2.32.0 results

c:\data\cygwin_working\perl_scripts\IC2>dot -v -Tsvg "C:\data\cygwin_working\perl_scripts\IC2\output\dot_files\RTS001_Boot - Launch (Part 1)_time_ordered_command.dot" -o "C:\data\cygwin_working\perl_scripts\IC2\output\diagrams\RTS_time_ordered_diagrams\RTS001_Boot - Launch (Part 1)_time_ordered_command.svg"
dot - graphviz version 2.32.0 (20130802.0446)
libdir = "C:\Program Files (x86)\Graphviz2.32\bin"
Activated plugin library: gvplugin_pango.dll
Using textlayout: textlayout:cairo
Activated plugin library: gvplugin_core.dll
Using render: svg:core
Using device: svg:svg:core
Activated plugin library: gvplugin_dot_layout.dll
Using layout: dot:dot_layout
The plugin configuration file:
        C:\Program Files (x86)\Graphviz2.32\bin\config6
                was successfully loaded.
    render : cairo dot fig gd gdiplus map pic pov ps svg tk vml vrml xdot
    layout : circo dot fdp neato nop nop1 nop2 osage patchwork sfdp twopi
    textlayout : textlayout
    device : bmp canon cmap cmapx cmapx_np dot emf emfplus eps fig gd gd2 gif gv imap imap_np ismap jpe jpeg jpg metafile pdf pic plain plain-ext png pov ps ps2 svg svgz tif tiff tk vml vmlz vrml wbmp xdot
    loadimage : (lib) bmp eps gd gd2 gif jpe jpeg jpg png ps svg
fontname: "Times-Roman" resolved to: (ps:pango Times New Roman, ) (PangoCairoWin32Font) "Times New Roman, 13.9990234375
"
network simplex: 66 nodes 577 edges maxiter=2147483647 balance=2
^C
c:\data\cygwin_working\perl_scripts\IC2>

Note: Graphviz 2.32.0 got hung up after the "network simplex: 66 nodes 577 edges maxiter=2147483647 balance=2" line and would not proceed any further.

--------------------------------------------------------------------------
Graphviz 2.34.0 results

c:\data\cygwin_working\perl_scripts\IC2>dot -v -Tsvg "C:\data\cygwin_working\perl_scripts\IC2\output\dot_files\RTS001_Boot - Launch (Part 1)_time_ordered_command.dot" -o "C:\data\cygwin_working\perl_scripts\IC2\output\diagrams\RTS_time_ordered_diagrams\RTS001_Boot - Launch (Part 1)_time_ordered_command.svg"
dot - graphviz version 2.34.0 (20130907.0111)
libdir = "C:\Program Files (x86)\Graphviz2.34\bin"
Activated plugin library: gvplugin_pango.dll
Using textlayout: textlayout:cairo
Activated plugin library: gvplugin_core.dll
Using render: svg:core
Using device: svg:svg:core
Activated plugin library: gvplugin_dot_layout.dll
Using layout: dot:dot_layout
The plugin configuration file:
        C:\Program Files (x86)\Graphviz2.34\bin\config6
                was successfully loaded.
    render : cairo dot fig gd gdiplus map pic pov ps svg tk vml vrml xdot
    layout : circo dot fdp neato nop nop1 nop2 osage patchwork sfdp twopi
    textlayout : textlayout
    device : bmp canon cmap cmapx cmapx_np dot emf emfplus eps fig gd gd2 gif gv imap imap_np ismap jpe jpeg jpg metafile pdf pic plain plain-ext png pov ps ps2 svg svgz tif tiff tk vml vmlz vrml wbmp xdot xdot1.2 xdot1.4
    loadimage : (lib) bmp eps gd gd2 gif jpe jpeg jpg png ps svg
fontname: "Times-Roman" resolved to: (ps:pango Times New Roman, ) (PangoCairoWin32Font) "Times New Roman, 13.9990234375
"
network simplex: 66 nodes 577 edges maxiter=2147483647 balance=2
^C
c:\data\cygwin_working\perl_scripts\IC2>

Graphviz 2.34.0 got hung up after the "network simplex: 66 nodes 577 edges maxiter=2147483647 balance=2" line and would not proceed any further.
Steps To ReproduceCommand line sent from cmd prompt:

dot -v -Tsvg "C:\data\cygwin_working\perl_scripts\IC2\output\dot_files\RTS001_Boot - Launch (Part 1)_time_ordered_command.dot" -o "C:\data\cygwin_working\perl_scripts\IC2\output\diagrams\RTS_time_ordered_diagrams\RTS001_Boot - Launch (Part 1)_time_ordered_command.svg"
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSION2.32.0 and 2.34.0
Attached Filesdot file icon RTS001_Boot - Launch (Part 1)_time_ordered_command.dot [^] (4,072 bytes) 2013-09-30 12:23

- Relationships

-  Notes
User avatar (0000549)
erg (administrator)
2013-09-27 19:20

Any chance you could include your input graph in the bug report? Without it, there is very little chance we can figure out what is going wrong. Thanks.
User avatar (0000554)
bruce.dandrea (reporter)
2013-09-30 12:27

I uploaded a simplified version that has the same failure charateristics for Graphviz 2.34.0.

Below is the command line call issued and the results from Graphviz 2.34.0:
 
Graphviz 2.34.0 got hung up after the "network simplex: 17 nodes 136 edges maxiter=2147483647 balance=2" line and would not proceed any further.

--------------------------------------------

Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation. All rights reserved.

c:\>dot -v -Tsvg "C:\data\cygwin_working\perl_scripts\IC2\output\dot_files\RTS001_Boot - Launch (Part 1)_time_ordered_co
mmand.dot" -o "C:\data\cygwin_working\perl_scripts\IC2\output\diagrams\RTS_time_ordered_diagrams\RTS001_Boot - Launch (P
art 1)_time_ordered_command.svg"
dot - graphviz version 2.34.0 (20130907.0111)
libdir = "C:\Program Files (x86)\Graphviz2.34\bin"
Activated plugin library: gvplugin_pango.dll
Using textlayout: textlayout:cairo
Activated plugin library: gvplugin_core.dll
Using render: svg:core
Using device: svg:svg:core
Activated plugin library: gvplugin_dot_layout.dll
Using layout: dot:dot_layout
The plugin configuration file:
        C:\Program Files (x86)\Graphviz2.34\bin\config6
                was successfully loaded.
    render : cairo dot fig gd gdiplus map pic pov ps svg tk vml vrml xdot
    layout : circo dot fdp neato nop nop1 nop2 osage patchwork sfdp twopi
    textlayout : textlayout
    device : bmp canon cmap cmapx cmapx_np dot emf emfplus eps fig gd gd2 gif gv imap imap_np ismap jpe jpeg jpg m
etafile pdf pic plain plain-ext png pov ps ps2 svg svgz tif tiff tk vml vmlz vrml wbmp xdot xdot1.2 xdot1.4
    loadimage : (lib) bmp eps gd gd2 gif jpe jpeg jpg png ps svg
fontname: "Times-Roman" resolved to: (ps:pango Times New Roman, ) (PangoCairoWin32Font) "Times New Roman, 13.9990234375
"
network simplex: 17 nodes 136 edges maxiter=2147483647 balance=2
User avatar (0000568)
bruce.dandrea (reporter)
2013-10-15 17:06

Has this issue been reproduced? Is there an estimated timeframe for a fix?

Thank you
User avatar (0000570)
erg (administrator)
2013-10-16 10:18

I believe this problem was fixed last Friday. Unfortunately, we are in the process of moving to a new location and the nightly builds aren't working again yet.

- Issue History
Date Modified Username Field Change
2013-09-27 17:30 bruce.dandrea New Issue
2013-09-27 19:20 erg Note Added: 0000549
2013-09-30 12:23 bruce.dandrea File Added: RTS001_Boot - Launch (Part 1)_time_ordered_command.dot
2013-09-30 12:27 bruce.dandrea Note Added: 0000554
2013-10-15 17:06 bruce.dandrea Note Added: 0000568
2013-10-16 10:18 erg Note Added: 0000570
2013-10-16 13:03 erg Assigned To => erg
2013-10-16 13:03 erg Status new => resolved
2013-10-16 13:03 erg Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker